import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import MlSpaceLogoLight from './MlSpaceLogoLight';
import MlSpaceLogoDark from './MlSpaceLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const MlSpaceLogoSvg = forwardRef(function MlSpaceLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(MlSpaceLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(MlSpaceLogoLight, Object.assign({}, props, { ref: ref })));
});
export default MlSpaceLogoSvg;
